質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.60%

Laravel 5.5.41でsitemap.xml が作成できない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,248

score 189

前提・実現したいこと

Laravel 5.5.41でsitemap.xmlを作成しようとしています。
参考サイトを見ながらやっているのですが、
エラーが出て実行できません。

```
composer require "laravelium/sitemap": "2.7.*" とすると

[InvalidArgumentException]
Could not find package 2.7.*.

Did you mean one of these?
ramsey/uuid
level-2/dice
kordy/ticketit
ramsey/collection
crossjoin/browscap

と表示され利用できないようです

なので、

http://iku8.hatenablog.com/entry/2017/09/24/213808
を参考に実行してみました。

composer require spatie/laravel-sitemap
を実行すると
failed 
というメッセージが出てそれ以降の操作ができません。

どのようにすればよいでしょうか?
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

どうぞ。
Laravelium/laravel-sitemap

失礼。こっちですね^^;
Laravelium Sitemap package

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/04/15 13:40

    依存関係が解消できてないのでは?
    add the following to your composer.json file :
    "laravelium/sitemap": "2.7.*"
    こちらはどうですか?

    キャンセル

  • 2019/04/15 14:34

    composer require "laravelium/sitemap": "2.7.*" 
    を実行するということですよね!?
    これを実行しても
    エラーが出ます。

    キャンセル

  • 2019/04/15 16:22

    > composer require "laravelium/sitemap": "2.7.*" 
    を実行するということですよね!?

    ちがいます。
    どうぞ。
    https://getcomposer.org/doc/01-basic-usage.md

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.60%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る